package com.chenyang.nse.bussiness.entity.vo.searchinfo;

public class SearchRegexVO {
   private String edittask;
   private String discoverytype;
   private String taskid;
   private String projectid;
   private String tid;
   private String editionid;
   private String hidden;

   public String getEdittask() {
      return this.edittask;
   }

   public String getDiscoverytype() {
      return this.discoverytype;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public String getTid() {
      return this.tid;
   }

   public String getEditionid() {
      return this.editionid;
   }

   public String getHidden() {
      return this.hidden;
   }

   public void setEdittask(final String edittask) {
      this.edittask = edittask;
   }

   public void setDiscoverytype(final String discoverytype) {
      this.discoverytype = discoverytype;
   }

   public void setTaskid(final String taskid) {
      this.taskid = taskid;
   }

   public void setProjectid(final String projectid) {
      this.projectid = projectid;
   }

   public void setTid(final String tid) {
      this.tid = tid;
   }

   public void setEditionid(final String editionid) {
      this.editionid = editionid;
   }

   public void setHidden(final String hidden) {
      this.hidden = hidden;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SearchRegexVO)) {
         return false;
      } else {
         SearchRegexVO other = (SearchRegexVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$edittask = this.getEdittask();
            Object other$edittask = other.getEdittask();
            if (this$edittask == null) {
               if (other$edittask != null) {
                  return false;
               }
            } else if (!this$edittask.equals(other$edittask)) {
               return false;
            }

            Object this$discoverytype = this.getDiscoverytype();
            Object other$discoverytype = other.getDiscoverytype();
            if (this$discoverytype == null) {
               if (other$discoverytype != null) {
                  return false;
               }
            } else if (!this$discoverytype.equals(other$discoverytype)) {
               return false;
            }

            Object this$taskid = this.getTaskid();
            Object other$taskid = other.getTaskid();
            if (this$taskid == null) {
               if (other$taskid != null) {
                  return false;
               }
            } else if (!this$taskid.equals(other$taskid)) {
               return false;
            }

            Object this$projectid = this.getProjectid();
            Object other$projectid = other.getProjectid();
            if (this$projectid == null) {
               if (other$projectid != null) {
                  return false;
               }
            } else if (!this$projectid.equals(other$projectid)) {
               return false;
            }

            Object this$tid = this.getTid();
            Object other$tid = other.getTid();
            if (this$tid == null) {
               if (other$tid != null) {
                  return false;
               }
            } else if (!this$tid.equals(other$tid)) {
               return false;
            }

            Object this$editionid = this.getEditionid();
            Object other$editionid = other.getEditionid();
            if (this$editionid == null) {
               if (other$editionid != null) {
                  return false;
               }
            } else if (!this$editionid.equals(other$editionid)) {
               return false;
            }

            Object this$hidden = this.getHidden();
            Object other$hidden = other.getHidden();
            if (this$hidden == null) {
               if (other$hidden != null) {
                  return false;
               }
            } else if (!this$hidden.equals(other$hidden)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof SearchRegexVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $edittask = this.getEdittask();
      result = result * 59 + ($edittask == null ? 43 : $edittask.hashCode());
      Object $discoverytype = this.getDiscoverytype();
      result = result * 59 + ($discoverytype == null ? 43 : $discoverytype.hashCode());
      Object $taskid = this.getTaskid();
      result = result * 59 + ($taskid == null ? 43 : $taskid.hashCode());
      Object $projectid = this.getProjectid();
      result = result * 59 + ($projectid == null ? 43 : $projectid.hashCode());
      Object $tid = this.getTid();
      result = result * 59 + ($tid == null ? 43 : $tid.hashCode());
      Object $editionid = this.getEditionid();
      result = result * 59 + ($editionid == null ? 43 : $editionid.hashCode());
      Object $hidden = this.getHidden();
      result = result * 59 + ($hidden == null ? 43 : $hidden.hashCode());
      return result;
   }

   public String toString() {
      return "SearchRegexVO(edittask=" + this.getEdittask() + ", discoverytype=" + this.getDiscoverytype() + ", taskid=" + this.getTaskid() + ", projectid=" + this.getProjectid() + ", tid=" + this.getTid() + ", editionid=" + this.getEditionid() + ", hidden=" + this.getHidden() + ")";
   }
}
